Fedora Core 1 : httpd-2.0.49-1.1 (2004-117)

High Nessus Plugin ID 13696


The remote Fedora Core host is missing a security update.


This update includes the latest stable release of Apache httpd 2.0, including a security fix for a memory leak in mod_ssl which can be triggered remotely (CVE-2004-0113), and a fix for escaping of error log output (CVE-2003-0020).

This update also includes an enhanced version of the mod_cgi module which fixes a long-standing bug in the handling of stderr output during CGI script execution.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected packages.

See Also


Plugin Details

Severity: High

ID: 13696

File Name: fedora_2004-117.nasl

Version: $Revision: 1.16 $

Type: local

Agent: unix

Published: 2004/07/23

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:httpd, p-cpe:/a:fedoraproject:fedora:httpd-debuginfo, p-cpe:/a:fedoraproject:fedora:httpd-devel, p-cpe:/a:fedoraproject:fedora:httpd-manual, p-cpe:/a:fedoraproject:fedora:mod_ssl, cpe:/o:fedoraproject:fedora_core:1

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2004/05/25

Reference Information

FEDORA: 2004-117